<?php
	Class Popups extends CI_Model {
		function __construct() {
			parent::__construct();
			
			//Load required libraries and drivers
			$this->load->database();
			$this->load->library('session');
		}

		public function changeActiveCourse($courseName, $courseCode){
			$output = 
			'div id="changeActiveCourse">
				<h2 class="loginTitle">Change Active Course</h2>
					<div id="middleLayerPopups">
						<p>Do you wish to set' .  $courseName . ' - ' . $courseCode . ' as your current directory?</p>	
					</div>
				<input type="button" class="popupButtons btn" value="Confirm">
				<input type="button" onClick="changeActiveCourseButtonHide()" class="popupButtons btn" value="Cancel">
			</div>';
			return $output;
		}
		public function confirmRemoval(){
			$output = '
			<div id="subjectConfirmRemove">
				<h2 class="loginTitle">Confirm Removal</h2>
				<div id="middleLayerPopups">
					<p>By pressing remove the object and all of its contents will be permanently removed</p>
				</div>
				<input type="button" class="popupButtons btn" value="Remove">
				<input type="button" onClick="subjectConfirmButtonHide()" class="popupButtons btn" value="Cancel">
			</div>';
		return $output;
		}

		public function addCategory(){
			$output = '
			<div id="addCategory">
				<h2 class="loginTitle">Add Category</h2>
				<div id="middleLayerPopups">
					<p>Enter Category Name</p>	
					<input class="text" type="text" size="20" id="categoryName" name="categoryName" placeholder="Category Name"/><br>
					<input type="button" class="popupButtons btn" value="Remove">
					<input type="button" onClick="addCategoryButtonHide()" class="popupButtons btn" value="Cancel">
				</div>
			</div>';
			return $output;
		}

		public function addStudents(){
			$output = '
			<div id="addStudents" hidden="hidden">
				<h2 class="loginTitle">Add Course</h2>
				<div id="middleLayerPopupsSizeThree">
					<div class="tableRow">
						<p>Format for ladok text file</p> 
						<form method="post" action=""><textarea name="comments" cols="52" rows="8"></textarea><br>
					</div>
				</div>
				<div>
					<input type="button" class="popupButtons btn" value="Confirm">
					<input type="button" onClick="addStudentsButtonHide()" class="popupButtons btn" value="Cancel">
						</form>
				</div>
			</div>';
			return $output;
			
		}
		public function editCourseDetails(){
			$output = '
			<div id="editCourseDetails" hidden="hidden">
				<h2 class="loginTitle">Edit Course Details</h2>
				<div id="middleLayerPopupsSizeTwo">
					<div class="tableRow">
						<p class="tableCell">Course Name:</p> <input class="text" type="text" size="10" id="categoryName" name="categoryName" placeholder="Webbprogrammering"/>
					</div>
				<div class="tableRow">
					<p class="tableCell">Course Code:</p> <input class="text" type="text" size="10" id="categoryName" name="categoryName" placeholder="DA330G"/>
				</div>
					<div class="tableRow">
						<p class="tableCell">Course Description:</p> <input class="text" type="text" size="10" id="categoryName" name="categoryName" placeholder="Css/html"/>
					</div>

				</div>
		<div>
			<input type="button" class="popupButtons btn" value="Confirm">
			<input type="button" onClick="editCourseDetailsButtonHide()" class="popupButtons btn" value="Cancel">
		</div>
</div>';
			return $output;
		}

		public function addCourse(){
			$output = '
			<div id="addCourse" hidden="hidden">
				<h2 class="loginTitle">Add Course</h2>
				<div id="middleLayerPopupsSizeTwo">
					<div class="tableRow">
						<p class="tableCell">Course Name:</p> <input class="text" type="text" size="10" id="categoryName" name="categoryName" placeholder="Webbprogrammering"/>
					</div>
					<div class="tableRow">
						<p class="tableCell">Course Code:</p> <input class="text" type="text" size="10" id="categoryName" name="categoryName" placeholder="DA330G"/>
					</div>

					<div class="tableRow">
						<p class="tableCell">Course Description:</p> <input class="text" type="text" size="10" id="categoryName" name="categoryName" placeholder="Css/html"/>
					</div>

				</div>
		<div>
			<input type="button" class="popupButtons btn" value="Confirm">
			<input type="button" onClick="addCourseButtonHide()" class="popupButtons btn" value="Cancel">
		</div>
</div>';
			return $output;
		}

		public function addNewInstructor(){
			$output = '
			<div id="addNewInstructor" hidden="hidden">
				<h2 class="loginTitle">Add New Instructor</h2>
				<div id="middleLayerPopups">
					<div class="tableRow">
						<p class="tableCell">Email</p> <input class="text" type="text" size="10" id="categoryName" name="categoryName" placeholder="grilldalf95@his.se"/>
					</div>
				</div>
				<div>
					<input type="button" class="popupButtons btn" value="Confirm">
					<input type="button" onClick="addNewInstructorButtonHide()" class="popupButtons btn" value="Cancel">
				</div>
			</div>';
			return $output;
		}


}